angular.module('gurillaApp.controllers')

/* @screen: List of channels */
.controller('ActivityCtrl', function(
$rootScope, $scope, $state, $stateParams,$ionicModal, $ionicLoading,Activity,ActivityCrud,SocialCrud,LocalData)
{

  $rootScope.hideTabs = false;
  
  //Reload all the channel from server
  $scope.tryRefresh = function(callback){
    ActivityCrud.read(function(data){
      $scope.$broadcast('scroll.refreshComplete');
      if (data.type == "OK") {
        $scope.message = '';
        //create new buffer data

        $scope.activities = data.activities;
        Activity.set(data.activities);
      }else{
        $scope.message = data.message;
      }

    });
  };

  $scope.isMoment = function(activity){
    return activity.type === "Moment";
  }

  $scope.detail = function(social_id) {
    $ionicLoading.show({
      template: '<i class="icon ion-loading-c"></i> Loading...'
    });
    SocialCrud.detail(social_id,function(data){
      $ionicLoading.hide();
      if (data.type == "OK") {
        $scope.message = '';
        $state.go('menu.tab.account-photo',{'moment' : data.social, 'account' : LocalData.getAccount()});
      }else{
        $scope.message = data.message;
      }

    });
  };
  
  // // //check rootScope first
  // if (!$scope.activities) {
  //   $scope.activities = Activity.all();
    
  //   //check rootScope activities return from local data
  //   if (!$scope.activities || $scope.activities.length == 0) {
  //     $scope.tryRefresh();
  //   }
  // }

  $scope.tryRefresh();

 
});