function objectifyById(obj) {
  var newObj = {};

  if (Object.prototype.toString.call(obj) === '[object Array]') {
    var length = obj.length;
    for (var i = 0; i < length; i++) {
      if ((typeof obj[i].id === 'number') || (typeof obj[i].id === 'string')) {
        newObj[obj[i].id] = obj[i];
      }
    }
    return newObj;
  }

  if (Object.prototype.toString.call(obj) === '[object Object]') {
    for (var i in obj) {
      if ((typeof obj[i].id === 'number') || (typeof obj[i].id === 'string')) {
        newObj[obj[i].id] = obj[i];
      }
    }
    return newObj;
  }

  return {};
}
