angular.module('gurillaApp.services')
.service('PushProcessing', function ($window,$state,$rootScope,$ionicPlatform, EventCrud, Events, CalendarCrud, LocalData, $cordovaLocalNotification,User) {

   $ionicPlatform.ready(function(){
   
    if (window.plugins) {
     var pNotificaiton =  window.plugins.pushNotification;
     
     pNotificaiton.register(function(result){
        console.log('Success: '+ result);
     },function(){
      console.log('Fail: '+ result);
     },{
      'senderID' : '600418763096',
      'ecb':'onNotificationGCM'
     });
   }
  });


  $window.onNotificationGCM = function(e){
    switch(e.event){
      
      case 'registered':
        User.registerGCM(e.regid,function(data){
          console.log('GCM registered');
        });
      break;
      case 'message' : 

        if (e.foreground) {
           var oldEvent = Events.get("invited",e.payload.notId);
           EventCrud.detail(e.payload.notId,function(data){ 
            if (data.type == "OK") {
                var newEvent = data.event;
                 if (oldEvent && newEvent) {
                    if (e.payload.msgtype == 2) {
                      // update inside localStorage
                      Events.update("invited", newEvent);
                      // Update event in local calendar
                      CalendarCrud.update(oldEvent, newEvent);  
                    } else if (e.payload.msgtype == 3){
                        // Remove from local calendar
                        CalendarCrud.delete(newEvent);
                    }
                }
            }
          });
        }
        if (e.foreground) {
       
          window.plugins.toast.showLongTop(e.payload.message +". Please refresh and check either pending or confirmed inbox for new updates", function(a){
            console.log('toast success: ' + a);
          }, function(b){
            alert('toast error: ' + b);
          });

        }else{
          var stateUrl = $state.current.name + "-event-detail";
          // $state.go('menu.tab.circles-event-detail',{'id' : e.payload.notId , 'data' : {'msgtype' : e.payload.msgtype , 'user_status' : e.payload.user_status } });
          $state.transitionTo(stateUrl,{'id' : e.payload.notId , 'data' : {'msgtype' : e.payload.msgtype , 'user_status' : e.payload.user_status } },{ reload: true, inherit: true, notify: true });
        }
      break;
      case 'error' :
        console.log('Error: '+ e);
      break;
      default : 
        console.log('Unknown Error: '+ e);
      break;
    }
   };

});